package com.arms.egovframework.javaservice.esframework.factory.builder;

import org.opensearch.data.client.orhlc.NativeSearchQuery;

public interface AggregationQuery<T> extends AbstractQueryBuilder<T> {

	void applyNestedAggregation();

	void applyCardinalityAggregation();

	void applyAggregation();

	void applyMetricAggregation();
}
